
Redmine - Patch #7494

Patch for support http protocol wirh mercurial repository

2011-01-30 20:35 - Giuseppe Lippolis

Status: Closed Start date: 2011-01-30

Priority: Normal Due date: 2011-01-30

Assignee:  % Done: 100%

Category: SCM Estimated time: 0.00 hour

Target version:    

Description

Allow to use http with mercurial repository.

Related issues:

Related to Redmine - Feature #6515: Mercurial hgrc support with issues auto-s... New 2010-09-28

Related to Redmine - Feature #4455: Mercurial overhaul Closed 2009-12-21

Related to Redmine - Patch #986: Clone remote git repository Closed 2008-04-03

History

#1 - 2011-12-16 13:00 - Miłosz Kosobucki

Patch is available for 11 months. Is it possible that it will be merged soon?

#2 - 2011-12-16 13:22 - Toshi MARUYAMA

- Status changed from New to Closed

I think Redmine core should not have this feature.

It is impossible to test.

Plugins should provide this feature.

#3 - 2011-12-16 15:32 - Miłosz Kosobucki

- Status changed from Closed to Reopened

So why SVN has these features in core and mercurial and git can't?

#4 - 2011-12-16 23:29 - Toshi MARUYAMA

- Status changed from Reopened to Closed

SVN does not have this feature. Redmine reads SVN repository directory.

As discussing at #9813, remote SVN is very slow.

Redmine needs to run cat/diff/annotate.

So, Git/Mercurial repository need to be in same machine.

Mercurial repository is easy to sync(pull/push).

You can use hook or etc.

Files

hg-http-1.1.1.patch 1.71 KB 2011-01-30 Giuseppe Lippolis
